IDEA下Maven的pom文件导入依赖出现Auto build co…

2020-06-07 16:03:03来源:博客园 阅读 ()

新老客户大回馈,云服务器低至5折

IDEA下Maven的pom文件导入依赖出现Auto build completed with errors

在idea下新建一个maven项目,在学习mybaties时跟着视频教程添加依赖

 

 发现可以配置maven然后自动导入,这样可以省事不用手写。前提要讲maven配置好,然后使用快捷键alt+insert,手动输入添加依赖

 

 但是选择相应的依赖之后,控制台显示     Auto build completed with errors

 

在网上百度了很久,有的说是maven与idea版本不兼容(之前我下载的maven是最新的,idea是2019.1的),于是便重新下载了maven。

将maven配置成功后,问题依然没有解决。

 还有人说要调一下jdk版本,与自己系统的相对应。我是刚开始使用idea,感觉在idea配置好jdk之后一直都是设置好的版本,不用设置,但无奈也尝试着更改了一下

网上说是更改此处的jdk:

 

 我试着改了依旧没有效果.....

最后发现此处使用的是idea自带的jdk,便更改了这里的jdk版本

 

 将这里的换成自己安装的jdk版本,问题解决!

 

 问题还没有完,发现添加mysql的驱动包失败,(我的mysql是8.0.19,是比较新的),不知道是不是maven和mysql不兼容问题

看到帖子说要将依赖换成低版本

 

 没有尝试,手动添加了jar到lib下

 

 最后也成功解决了

 

 

 

刚开始使用idea,又第一天接触maven和mybaties,不知道这样的配置到后面还会遇到什么错误..........

 


原文链接:https://www.cnblogs.com/springa/p/13060767.html
如有疑问请与原作者联系

标签:文件问题解决配置mysql版本

版权申明:本站文章部分自网络,如有侵权,请联系:west999com@outlook.com
特别注意:本站所有转载文章言论不代表本站观点,本站所提供的摄影照片,插画,设计作品,如需使用,请与原作者联系,版权归原作者所有

上一篇:Caused by: java.sql.SQLSyntaxErrorException: Unknown column

下一篇:Invalid [xxx] in servlet mapping 、 <url-pattern&g